Subject: Re: bug#32676: Feature request

From: Ernesto Alfonso <[email-masked]>
Date: Tue, 18 Sep 2018 01:51:04 -0700

> I agree that a timer is not necessary in next-error-last-buffer.
> I just wanted to emphasize that your new customization could be like
> next-error-highlight defcustom (but without a timer option).

Yes.

It looks like (point) is always located
> at this place because compilation-next-error-function sets
> overlay-arrow-position to (point-marker), so it should be the
> right place to highlight indeed.

Yes. I tried replacing compilation-current-error with point and it works as
expected. I am not sure how I would update the patch.

While searching for this thread, I came across another time qhwn a user
made a query for the same feature I am proposing.

https://groups.google.com/forum/#!topic/gnu.emacs.help/q1QucyB1Nzw

It provides another explanation of why hl-line doesn't work well in this
case.

Ernesto
On Sun, Sep 16, 2018 at 4:38 PM Juri Linkov <[email-masked]> wrote:

> >> Do I understand correctly that your proposed feature is like
> >> next-error-highlight,
> >> but instead of highlighting the error locus, it highlights the error
> >> message?
> >
> > Yes, although I don't think it's important to support a timer to turn off
> > highlighting like next-error-highlight does since the error locus
> > highlighting might get in the user's way in source buffers, but not in
> the
> > next-error buffer.
>
> I agree that a timer is not necessary in next-error-last-buffer.
> I just wanted to emphasize that your new customization could be like
> next-error-highlight defcustom (but without a timer option).
>
> > I don't see a reference to compilation-highlight-regexp or
> > compilation-highlight-overlay in my patch or in this thread. Although I
> did
> > use compilation-current-error to find the mark at the error message
> > location, which I think is not appropriate since that would be
> > compilation-specific, and I think it should be (point) instead. Is this
> > what you mean?
>
> I guess you need to highlight exactly the same place from where
> the error was visited.  It looks like (point) is always located
> at this place because compilation-next-error-function sets
> overlay-arrow-position to (point-marker), so it should be the
> right place to highlight indeed.
>